Bug 1619813 - Drive passphrases get weakened to ASCII-only
Summary: Drive passphrases get weakened to ASCII-only
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-21 19:43 UTC by Frank
Modified: 2019-05-28 23:38 UTC (History)
8 users (show)

Fixed In Version: anaconda-30.20-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:38:48 UTC


Attachments (Terms of Use)

Description Frank 2018-08-21 19:43:28 UTC
Description of problem:
I simply am not able to type non-ASCII letters into my drive passphrase anymore.

Version-Release number of selected component (if applicable):
Happens in Anaconda of the current Fedora 28-1.1 Silverblue image from getfedora.org.

Steps to Reproduce:
* Just type some non-ASCII letters (like for example a commonplace `§`) into the disk passphrase request.

Actual results:
You can’t click “continue” anymore.

Expected results:
A warning like what is done for the same thing in user and root passphrase requests would be ok. But I don’t want to be disallowed to type in non-ASCII letters, that’s pretty Windows-ish.

Comment 1 Jiri Konecny 2018-09-11 07:49:13 UTC
Hello, 

Could you please provide us logs from the installation as plain text files?
You can find them in /tmp/*.log.

Thank you.

Comment 2 Frank 2018-09-12 19:20:56 UTC
There are no logs, since I rebooted since. But you should find this requirement in the anaconda sources…?

Comment 3 Frank 2019-02-01 16:08:47 UTC
Any news on this? This is very annoying and I do not understand why you do weaken security…?!

Comment 4 Vendula Poncova 2019-02-04 11:34:40 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1795

Comment 5 Frank 2019-02-04 22:49:45 UTC
Thank you very much!

By the way, there is also the little bit related bug #1582345, in which I described that the keymap is set up wrong at entering the password, if you don’t use a standard keymap. I don’t know if my set keymap is standard German or standard Englisch – but if ifs the latter, we also cannot enter umlauts in the password dialog (which are pretty common in Germany).

Can you maybe also take a look at this? I already tried to set `vconsole.keymap=de-neo` in the kernel command line, but bricked my boot partition when regenerating grub config. :/

Comment 6 Vendula Poncova 2019-02-06 14:34:30 UTC
I will try to look at it.

Comment 7 Frank 2019-02-08 13:19:29 UTC
That would be really awesome! 🤗

Comment 8 Ben Cotton 2019-05-02 19:56:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 23:38:48 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.